Bug 195978 - Missing "seconds to detect silence" setting
Summary: Missing "seconds to detect silence" setting
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist with 90 votes (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-11 09:15 UTC by David
Modified: 2013-01-05 14:45 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David 2009-06-11 09:15:26 UTC
Version:            (using KDE 4.2.4)
OS:                Linux
Installed from:    Debian testing/unstable Packages

Hi. I reported this in an earlier bug (#195874), but that bug was closed (because almost everything was previously reported) and I can't find a way to re-open it. So I'm making a new bug for just this remaining point, which I can't find an existing bug for. I hope that's okay.

Konsole in KDE 4.2 does not have a configurable "seconds to detect silence" setting, and defaults to 10 seconds.

I really liked this setting in 3.5, since I could monitor very non-verbose scripts for inactivity. In 4.2 I can now only monitor verbose processes for inactivity.
Comment 1 kdebugs 2009-06-11 11:43:59 UTC
Furthermore the notifcation just pops up a short time once. When monitoring inactivity you probably don't look the whole time on the screen, so it should be more noisy over a longer period.
Comment 2 Diego 2009-09-02 14:59:27 UTC
It would be nice to have it back, at least for feature parity with 1.x series.
...at least as a hidden konsolerc option documented here:
http://techbase.kde.org/KDE_System_Administration/Kiosk/Keys#Konsole
Comment 3 semovrs 2010-11-11 09:44:11 UTC
Yes, that would definitely be nice.
Comment 4 Kurt Hindenburg 2011-10-09 14:47:44 UTC
If someone wants to code a patch, that's fine by me. 

1. Perhaps put the UI under the Configure Profile->Tab below the other 2 areas.  "Tab Monitoring"
2. I'm not sure if a temporary, non-profile settings is necessary.  Perhaps a session dbus method?
Comment 5 Jekyll Wu 2011-10-11 13:39:55 UTC
Git commit 7ad55af1fce1301b34f1a0d7188bd6f860ecdd2c by Jekyll Wu.
Committed on 11/10/2011 at 06:09.
Pushed by jekyllwu into branch 'master'.

Implement the "Seconds to detect silence" option from KDE3 konsole.

FEATURE: 195978
FIXED-IN:4.8
REVIEW:102823

M  +12   -0    src/EditProfileDialog.cpp
M  +1    -0    src/EditProfileDialog.h
M  +48   -0    src/EditProfileDialog.ui
M  +2    -0    src/Profile.cpp
M  +2    -0    src/Profile.h
M  +4    -0    src/SessionManager.cpp

http://commits.kde.org/konsole/7ad55af1fce1301b34f1a0d7188bd6f860ecdd2c
Comment 6 Joseph Reagle 2013-01-05 14:38:00 UTC
I don't see this option in Konsole 2.9.5 KDE 4.9.5? Where is it supposed to be?
Comment 7 Kurt Hindenburg 2013-01-05 14:45:32 UTC
It is under Edit Current Profile->Tabs at the bottom